DROP DOMAIN(7)

NAME
DROP_DOMAIN - remove a domain

SYNOPSIS

DROP DOMAIN [ IF EXISTS ] name [, ...] [ CASCADE | RESTRICT ]

DESCRIPTION

DROP DOMAIN removes a domain. Only the owner of a domain can remove it.

PARAMETERS

IF EXISTS
    Do not throw an error if the domain does not exist. A notice is issued in this case.

name
    The name (optionally schema-qualified) of an existing domain.

CASCADE
    Automatically drop objects that depend on the domain (such as table columns), and in turn all objects that depend on those objects (see Section 5.13, “Dependency Tracking”, in the documentation).

RESTRICT
    Refuse to drop the domain if any objects depend on it. This is the default.

EXAMPLES

To remove the domain box:

    DROP DOMAIN box;

COMPATIBILITY

This command conforms to the SQL standard, except for the IF EXISTS option, which is a PostgreSQL extension.

SEE ALSO
CREATE DOMAIN (CREATE_DOMAIN(7)), ALTER DOMAIN (ALTER_DOMAIN(7))